Cyberduck Mountain Duck CLI

#8661 closed defect (worksforme)

Crash in NSSystemInfoPanel updateOptionsWithCredits

Reported by: dfcurran Owned by: Dave Curran
Priority: normal Milestone: 4.7
Component: core Version: 4.6.5
Severity: normal Keywords: Mac 10.10.2
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description (last modified by dkocher)

Process:               Cyberduck [743]
Path:                  /Users/USER/Downloads/Cyberduck.app/Contents/MacOS/Cyberduck
Identifier:            ch.sudo.cyberduck
Version:               4.6.5 (17000)
Code Type:             X86-64 (Native)
Parent Process:        ??? [1]
Responsible:           Cyberduck [743]
User ID:               501

Date/Time:             2015-03-12 13:05:32.818 -0600
OS Version:            Mac OS X 10.10.2 (14C109)
Report Version:        11
Anonymous UUID:        8FE1EBFB-A5AB-FAFB-E010-F212B0A08697


Time Awake Since Boot: 2900 seconds

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGABRT)
Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000000000008

VM Regions Near 0x8:
--> 
    __TEXT                 0000000100000000-0000000100006000 [   24K] r-x/rwx SM=COW  /Applications/Cyberduck.app/Contents/MacOS/Cyberduck [/Users/dfcurran/Downloads/Cyberduck.app/Contents/MacOS/Cyberduck]

Application Specific Information:
Performing @selector(aboutMenuClicked:) from sender NSMenuItem 0x1001c44b0
*** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '*** setObjectForKey: object cannot be nil (key: Credits)'
terminating with uncaught exception of type NSException
abort() called

Application Specific Backtrace 1:
0   CoreFoundation                      0x00007fff9486f66c __exceptionPreprocess + 172
1   libobjc.A.dylib                     0x00007fff9324676e objc_exception_throw + 43
2   CoreFoundation                      0x00007fff94757876 -[__NSDictionaryM setObject:forKey:] + 1174
3   AppKit                              0x00007fff99eda9c4 +[NSSystemInfoPanel updateOptionsWithCredits:] + 328
4   AppKit                              0x00007fff99eda382 +[NSSystemInfoPanel updateOptions:] + 81
5   AppKit                              0x00007fff99ed9e84 -[NSSystemInfoPanel setOptionsDictionary:] + 117
6   AppKit                              0x00007fff99ed9c56 -[NSApplication(NSStandardAboutPanel) orderFrontStandardAboutPanelWithOptions:] + 56
7   libjnidispatch.dylib                0x000000010b87794c ffi_call_unix64 + 76
8   ???                                 0x00007fff5fbf9370 0x0 + 140734799778672

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff94e34286 __pthread_kill + 10
1   libsystem_c.dylib             	0x00007fff8f131b53 abort + 129
2   libc++abi.dylib               	0x00007fff8f09ca21 abort_message + 257
3   libc++abi.dylib               	0x00007fff8f0c49d1 default_terminate_handler() + 267
4   libobjc.A.dylib               	0x00007fff9324a7d6 _objc_terminate() + 103
5   libc++abi.dylib               	0x00007fff8f0c20a1 std::__terminate(void (*)()) + 8
6   libc++abi.dylib               	0x00007fff8f0c1b30 __cxa_throw + 121
7   libobjc.A.dylib               	0x00007fff93246898 objc_exception_throw + 341
8   com.apple.CoreFoundation      	0x00007fff94757876 -[__NSDictionaryM setObject:forKey:] + 1174
9   com.apple.AppKit              	0x00007fff99eda9c4 +[NSSystemInfoPanel updateOptionsWithCredits:] + 328
10  com.apple.AppKit              	0x00007fff99eda382 +[NSSystemInfoPanel updateOptions:] + 81
11  com.apple.AppKit              	0x00007fff99ed9e84 -[NSSystemInfoPanel setOptionsDictionary:] + 117
12  com.apple.AppKit              	0x00007fff99ed9c56 -[NSApplication(NSStandardAboutPanel) orderFrontStandardAboutPanelWithOptions:] + 56
13  libjnidispatch.dylib          	0x000000010b87794c ffi_call_unix64 + 76
14  libjnidispatch.dylib          	0x000000010b877456 ffi_call + 630
15  libjnidispatch.dylib          	0x000000010b86e2f5 Java_com_sun_jna_Native_ffi_1prep_1cif + 1621
16  libjnidispatch.dylib          	0x000000010b86e772 Java_com_sun_jna_Native_invokeVoid + 34
17  ???                           	0x0000000105380b8e 0 + 4382526350
18  ???                           	0x00000001053d4310 0 + 4382868240

Change History (7)

comment:1 Changed on Mar 21, 2015 at 8:40:29 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Mar 21, 2015 at 8:41:19 PM by dkocher

  • Summary changed from crash i deleted and downloaded new because double-click to open was checked and it still didn't work. to Crash in NSSystemInfoPanel updateOptionsWithCredits

comment:3 Changed on Mar 21, 2015 at 8:43:58 PM by dkocher

  • Milestone set to 4.7

comment:4 Changed on Mar 22, 2015 at 6:44:31 PM by dkocher

Can you confirm this crash occurs when choosing About Cyberduck from the application menu.

comment:5 Changed on Mar 31, 2015 at 3:22:19 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

The application bundle if not modified contains the file Cyberduck.app/Contents/Resources/Credits.rtf. I can only explain this error that the application bundle has been modified and the file is missing.

comment:6 Changed on Mar 31, 2015 at 3:22:29 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:7 Changed on Mar 31, 2015 at 3:23:02 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software